/*
scripsi
copyright 2010 jezra lickter http://www.jezra.net

scripsi is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

scripsi is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with scripsi.  If not, see <http://www.gnu.org/licenses/>.

*/

using Gtk;

public class main_controller
{
  private MainWindow main_window;
  public main_controller(){
    main_window = new MainWindow();
    //connect the destroy event to quit
    main_window.destroy.connect( ()=> {
	  quit();
    });
    main_window.quit_activated.connect( ()=> {
	  quit();
    });
    main_window.show_all();
  }
  
  public void run() {
    Gtk.main();
  }
  
  private void quit() {
    Gtk.main_quit();
  }

  private static void main(string[] args)
  {
    
    #if ! VALACOMPILE
    Intl.bindtextdomain( Config.GETTEXT_PACKAGE, Config.LOCALEDIR );
    Intl.bind_textdomain_codeset( Config.GETTEXT_PACKAGE, "UTF-8" );
    Intl.textdomain( Config.GETTEXT_PACKAGE );
    #endif
    
    
    string app_name = Config.PACKAGE_NAME;
    string app_version = Config.PACKAGE_VERSION;
    //init Gtk
    Gtk.init(ref args);
    //run the main controller
    main_controller mc = new main_controller();
    mc.run();
  }
}
